%define name speedtouch
%define version 1.0
%define release 2mdk

Summary: ALCATEL SpeedTouch USB ADSL modem user-space driver
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://benoit.papillault.free.fr/speedtouch/%{name}-%{version}.tar.bz2
Patch0: speedtouch-1.0.patch.bz2
Patch1: speedtouch-1.0-config.patch.bz2
URL: http://benoit.papillault.free.fr/speedtouch
License: GPL
Group: System/Kernel and hardware
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ppp

%description
ALCATEL SpeedTouch USB ADSL modem user-space driver. This package contains 
all the necessary software to use your SpeedTouch USB modem under Linux. It
currently support only PPPoA encapsulation.

%prep
%setup
%patch0 -p1
%patch1 -p1 -b .old

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/modem_run
%{_bindir}/pppoa2
%{_bindir}/pppoa3
%{_datadir}/speedtouch
%doc %{_docdir}/speedtouch

%changelog
* Wed Feb 27 2002 dam's <damien@mandrakesoft.com> 1.0-2mdk
- applied mandrake configuration to launch script

* Wed Jan 23 2002 dam's <damien@mandrakesoft.com> 1.0-1mdk
- patchs corrected
- version 1.0

* Thu Sep  6 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-5mdk
- corrected bad rights

* Sun Sep  2 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-4mdk
- new connection script

* Tue Aug 28 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-3mdk
- adsl.sh -> speedtouch.sh

* Fri Aug 24 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-2mdk
- added patch n1 (script)

* Fri Aug 17 2001 dam's <damien@mandrakesoft.com> 0.01-20010815-1mdk
- 08.15.2001 version

* Thu Jul 19 2001 dam's <damien@mandrakesoft.com> 0.01-1mdk
- First mandrake package
